petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoCancelMonitors

Clears all the monitor functions for a Tao object.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoCancelMonitors(Tao tao)

Logically Collective on Tao

### Input Parameters

tao -the Tao solver context

### Options Database

-tao_cancelmonitors -cancels all monitors that have been hardwired into a code by calls to TaoSetMonitor(), but does not cancel those set via the options database

### Notes

There is no way to clear one specific monitor from a Tao object.

### See Also

TaoMonitorDefault(), TaoSetMonitor()

### Level

advanced

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages